Subject: Re: [PATCH 1/1] conntrack, suspicious RCU usage

From: Pablo Neira Ayuso <[email-masked]>
Date: Mon, 5 Mar 2012 18:05:48 +0100

On Mon, Mar 05, 2012 at 01:24:29PM +0100, Hans Schillstrom wrote:
> From: Hans Schillstrom <[email-masked]>
> 
> Hello Pablo
> I think you lost this patch from Eric, I updated the patch for the 
> latest nf_conntrack_netlink.c 
> 
> Well, __nf_ct_l4proto_find() being out of line and the way we already
> use rcu_read_lock() in this code, it seems following patch is
> the most natural way to cope with these lockdep warnings.

I'll take the previous patch to pass it to current -rc. Thanks Hans.